
//Powerbar growth
if(force >= maximumForce)
{
	forceShouldGrow = false;
}
else if(force < 1)
{
	forceShouldGrow = true;
}
if(forceShouldGrow)
{
	force *= forceDelta;
}
else
{
	force /= forceDelta;
}
if(notShot)
{
	powerbar.image_yscale = 30 * force / maximumForce
	powerbar.image_angle = -90 * (sign(isLeft) * 2 - 1)
}

//Ball rotation
isLeft = x < (window_get_width() / 2)
image_angle -= rotation_amount * sign(h_speed);

if(!notShot)
{
	
	//horizontal
	if(x + h_speed > window_width || x + h_speed < 0) 
	{
		h_speed = -h_speed * 0.5;
		v_speed = v_speed * 0.5;
	}
	
	//vertical
	if(y + v_speed < 0)
	{
		v_speed = -v_speed * 0.5;
		h_speed = h_speed * 0.5;
	}
	
	x += h_speed;
	y += v_speed;
	
	v_speed += v_gravity;
	h_speed -= h_speed * h_friction
}

if(keyboard_check_released(shoot_button) || gamepad_button_check_released(controller_number, gp_shoulderr)){
	if(notShot)
	{
		v_speed = lengthdir_y(force, projectile_direction)
		h_speed = lengthdir_x(force, projectile_direction)
		notShot = false
		audio_play_sound(cannon_shoot, 1, 0)
		instance_destroy(powerbar)
	}

}


