sprite_index = globe_image
var ANGLE_DIFF = 45

NUMBER_OF_PROPS = 360 / ANGLE_DIFF


var entity_x = x
var entity_y = y - (sprite_height/2 - 2)

var theta = point_direction(x, y, entity_x, entity_y)
var radius = point_distance(x, y, entity_x, entity_y)

angle = 0

var humanProps = [
	spr_human_prop6,
	spr_human_prop4,
	spr_human_prop7,
	spr_human_prop3,
	spr_human_prop5,
	spr_human_prop2,
	spr_human_prop1,
	spr_human_prop8
	]
	
var alienProps = [
	spr_alien_prop5,
	spr_alien_prop2,
	spr_alien_prop8,
	spr_alien_prop4,
	spr_alien_prop7,
	spr_alien_prop3,
	spr_alien_prop6,
	spr_alien_prop1
	]
	
var i = NUMBER_OF_PROPS - 1
repeat(NUMBER_OF_PROPS)
	{
		prop = instance_create_layer(entity_x, entity_y, "Props", obj_prop)
		
		if (globe_image == spr_planet2) {
			prop.sprite_index = humanProps[i]
		} else {
			prop.sprite_index = alienProps[i]
		}
		prop.theta = theta
		prop.radius = radius
		prop.image_angle += angle
		// Adjust our direction 5 degrees (or whatever you wish)
		theta += ANGLE_DIFF
		angle += ANGLE_DIFF
		// Convert back and apply:
		entity_x = x + lengthdir_x(radius, theta)
		entity_y = y + lengthdir_y(radius, theta)
		allProps[i] = prop
		i -= 1
   }
